package com.ym.mec.collectfee.job;

import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import java.time.LocalDateTime;

@Component
@Configuration
@EnableScheduling
public class TaskDemo {

    /*@Scheduled(cron = "0/5 * * * * ?")
    //或直接指定时间间隔，例如：5秒
    //@Scheduled(fixedRate=5000)
    private void taskOne() {
        System.err.println("执行静态定时任务时间1111: " + LocalDateTime.now());
    }


    @Scheduled(cron = "0/5 * * * * ?")
    //或直接指定时间间隔，例如：5秒
    //@Scheduled(fixedRate=5000)
    private void taskTwo() {
        System.err.println("执行静态定时任务时间222: " + LocalDateTime.now());
    }*/
}
